<?xml version="1.0" encoding="utf-8"?>
<!-- This files is automatically included in all csproj in the folder
See https://learn.microsoft.com/en-us/visualstudio/msbuild/customize-your-build?view=vs-2022
-->
<Project>

    <PropertyGroup>
		<!-- Useful info about info to define: https://learn.microsoft.com/fr-fr/visualstudio/msbuild/common-msbuild-project-properties?view=vs-2022 -->
		<!-- Note: msbuild generates automatically the subfolder of these folder with  <configuration> / <targeted frameworks> -->
		<!-- <BaseIntermediateOutputPath>$(SolutionDir)obj\$(MSBuildProjectName)\</BaseIntermediateOutputPath> -->
		<!-- <BaseOutputPath>$(SolutionDir)bin\$(MSBuildProjectName)\</BaseOutputPath> -->
    </PropertyGroup>

	<!-- Very useful settings to control cleanness of solution on all projects...! -->
	<PropertyGroup>
	
		<!-- Ignore the warnings that not add value to the solution -->
		<NoWarn>$(NoWarn);CS1591;CA1724;CS1574</NoWarn>
		
		<!-- The aim is to have "True" here one Day-->
		<!-- <MSBuildTreatWarningsAsErrors>True</MSBuildTreatWarningsAsErrors> -->
		
		<MSBuildTreatWarningsAsErrors>$(MSBuildWarningsAsErrors)CS0105;CS0108;CS0114;CS0162;CS0168;CS0169;CS0184;CS0219;CS0252;CS0414;CS0419;CS0649;CS0693;CS1572;CS1573;CS1574;CS1584;CS1587;NU1603;CS1658;CS1711;CS1998;CS3003</MSBuildTreatWarningsAsErrors>
		<WarningsAsErrors			 		>$(WarningsAsErrors)CS0105;CS0108;CS0114;CS0162;CS0168;CS0169;CS0184;CS0219;CS0252;CS0414;CS0419;CS0649;CS0693;CS1572;CS1573;CS1574;CS1584;CS1587;NU1603;CS1658;CS1711;CS1998;CS3003</WarningsAsErrors>
		
		<EnforceCodeStyleInBuild>True</EnforceCodeStyleInBuild>
		<EnableNETAnalyzers>True</EnableNETAnalyzers>
		<AnalysisLevel>6.0-all</AnalysisLevel>
	</PropertyGroup>
	
	<PropertyGroup Condition="'$(Configuration)' == 'Debug'">
		<DefineConstants>$(DefineConstants);TRACE;DEBUG</DefineConstants>
	</PropertyGroup>

</Project>
